Subject: RE: [ifmib] IANAifType-MIB issue

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 6 Dec 2003 16:24:10 +0100

> > A proposal in the appendix of draft-thaler-inet-tunnel-mib-00.txt
> > is to add the IANAtunnelType TC *into the IANAifType-MIB itself* 
> > alongside the IANAifType TC.  The rationale behind this is that
> > it makes it easy to find both (you can't claim you didn't know
> > tunnelType existed when you apply for an ifType) and means a
> > paragraph of guidelines for when to ask for ifType vs tunnelType
> > is in one place rather that two separate places with 
> > cross-references, etc.
> 
> I think the root of the problem is that the IANA maintained interface
> type TC is a rather uncontrolled place. Creating another uncontrolled
> place next to it (regardless how close it is) is not going to fix this
> nor will it make sure that the new TC gets only reasonable 
> assignments.
> 
> I think there should be an Expert Review (see RFC 2434) before these
> TCs can be updated and perhaps an expert can also be found to go
> through the existing assignments and mark those assignments as 
> deprecated which are known to be problematic.
> 
IANA already (often, but maybe not always) asks Keith McKloghrie and myself
for review of not-so-clear cases. Did/do you see trouble in recent assignments?

I do not know what has happened several years back.

And further: are you volunteering as additional expert?

Bert
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
> 

_______________________________________________
ifmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ifmib

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 8 Dec 2003 10:03:13 +0100

> for review of not-so-clear cases. Did/do you see trouble in recent 

Frankly, I did not check the latest assignements. But it is good to know
that there is some form of expert review (and I trust you and Keith to
probably have a very good overview of the many interface types we have ;-).
 
/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany